
<?php
// Apabila user belum login
if (empty($_SESSION['namauser']) AND empty($_SESSION['passuser'])){
  echo "<link href=\"../../css/style_login.css\" rel=\"stylesheet\" type=\"text/css\" />
        <div id=\"login\"><h1 class=\"fail\">Untuk mengakses modul, Anda harus login dulu.</h1>
        <p class=\"fail\"><a href=\"../../index.php\">LOGIN</a></p></div>";  
}
// Apabila user sudah login dengan benar, maka terbentuklah session
else{
  $aksi = "modul/mod_video/aksi_video.php";

  // mengatasi variabel yang belum di definisikan (notice undefined index)
  $act = isset($_GET['act']) ? $_GET['act'] : ''; 

  switch($act){
    // Tampil Video
    default:
      echo "
<div class=\"bg-secondary rounded h-100 p-4\">
<div class=\"table-responsive\">

      <h2>Sosial Media</h2>
       
        <table class=\"table\">
          <thead>
          <tr><th>No</th><th>Logo</th><th>Link</th><th>Aksi</th></tr>
          </thead>
            <tbody>"; 
            
      $query  = "SELECT * FROM video ORDER BY id_video ASC";
      $tampil = mysqli_query($konek, $query);
                  
      $no = 1;
      while ($r=mysqli_fetch_array($tampil)){
        echo "<tr style=\"border-color:#6C7293\">
             <td>$no</td>         
          
             <td><img src=\"../foto_video/$r[gambar]\" width=\"50\"></td>
             <td>$r[deskripsi]</td>

             <td><a href=\"?module=video&act=editvideo&id=$r[id_video]\" class=\"btn btn-sm btn-primary\">Edit</a> </td>
             </tr>";
        $no++;
      }
      echo "</tbody>
        </table>


        </div></div>";
    break;
  
    case "tambahvideo":
      echo "<h2>Tambah</h2>
          <form method=\"POST\" enctype=\"multipart/form-data\" action=\"$aksi?module=video&act=input\">





  <div class=\"row mb-3\">
                                    <label for=\"inputEmail3\" class=\"col-sm-2 col-form-label\">Gambar</label>

          <div class=\"col-sm-10\">

        <input type=\"file\" name=\"foto\" class=\"form-control bg-dark\">

</div>
          </div>



           


<br/>
         
         <div style=\"text-align: center !important;\">
          <tr><td colspan=\"2\"><input type=\"submit\" value=\"Simpan\" class=\"btn btn-primary\">
                                <input type=\"button\" value=\"Batal\" onclick=\"self.history.back()\" class=\"btn btn-primary\"></td></tr>
          </div>















         
          </form>";
    break;
    
    case "editvideo":
      $query = "SELECT * FROM video WHERE id_video='$_GET[id]'";
      $hasil = mysqli_query($konek, $query);
      $r     = mysqli_fetch_array($hasil);

      echo "<h2>Edit</h2>
          <form method=\"POST\" enctype=\"multipart/form-data\" action=\"$aksi?module=video&act=update\">
          <input type=\"hidden\" name=\"id\" value=\"$r[id_video]\">




<div class=\"row mb-3\">
                                    <label for=\"inputEmail3\" class=\"col-sm-2 col-form-label\">Link</label>

          <div class=\"col-sm-10\">

        <input type=\"text\" name=\"deskripsi\" class=\"form-control\" style=\"background-color: #fff;\" value=\"$r[deskripsi]\">

</div>
          </div>





<div class=\"row mb-3\">
                                    <label for=\"inputEmail3\" class=\"col-sm-2 col-form-label\">Icon</label>

          <div class=\"col-sm-10\" style=\"text-align: left !important;\">

        ";
          if ($r['gambar']!=''){
            echo "<img src=\"../foto_video/$r[gambar]\" width=\"50\">";  
          }
          else{
            echo "Belum ada gambar";
          }
          echo"

</div>
          </div>



<br/>


<div style=\"text-align: center !important;\">
          <tr><td colspan=\"2\"><input type=\"submit\" value=\"Update\" class=\"btn btn-primary\">
                                <input type=\"button\" value=\"Batal\" onclick=\"self.history.back()\" class=\"btn btn-primary\"></td></tr>
          </div>














         
          </form>";     
    break;  
  }
}    
?>
